#!/usr/bin/python3 
# -*- coding: utf-8 -*-

# This program calls for the last data collected by gpsdo.py of the Arduino Nano and GPS. It delivers the data to the web browser client.
# The call is done in internal of the Orange PI via HOST/PORT

import json
import cgi
import socket

HOST = '127.0.0.1'  # The server's hostname or IP address
PORT = 8199        # The port used by the local server


fs = cgi.FieldStorage()
print("Content-type:application/json\n\n")
print("")

cmd=""
val="0"
for key in fs.keys():
    if key == "cmd" :
        cmd = fs[key].value
    if key == "val" :
        val = fs[key].value
    

if cmd[0:4]=="Nano" :
    with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
        s.connect((HOST, PORT))
        s.sendall(bytes(cmd,'ascii'))
        data = s.recv(32768)   # 
        print(json.dumps(data.decode()))

if cmd[0:7]=="GPS_Raw" :
    with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
        s.connect((HOST, PORT))
        s.sendall(bytes(cmd,'ascii'))
        data = s.recv(32768)   #
        print(json.dumps(data.decode()))
    

if cmd=="Osc1" or cmd=="Osc2" or cmd=="XtalCor" or cmd== "vOsc1" or cmd=="vOsc2":    
     with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
        s.connect((HOST, PORT))
        s.sendall(bytes(cmd+val,'ascii'))
        data = s.recv(32768)   #
        print(json.dumps(data.decode()))
     
     print("OK",cmd)
     
if cmd=="Reset" or cmd=="ReadG" or cmd=="RebootN":    
     with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
        s.connect((HOST, PORT))
        s.sendall(bytes(cmd,'ascii'))
        data = s.recv(32768)   #
        print(json.dumps(data.decode()))
     
     print("OK ",cmd)
  

